Arduino driver library for Decawave DW1000

- Main Page
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

All Data Structures Files Functions Variables Macros
Public Member Functions | Static Public Attributes
DW1000Time Class Reference

`#include <DW1000Time.h>`

## Public Member Functions
| DW1000Time ()
| DW1000Time (long long int time)
| DW1000Time (float timeUs)
| DW1000Time (byte data[])
| DW1000Time (long value, float factorUs)
| DW1000Time (const DW1000Time &copy)
| ~DW1000Time ()
void | setTime (float timeUs)
void | setTime (long value, float factorUs)
float | getAsFloat () const
void | getAsBytes (byte data[]) const
float | getAsMeters () const
void | getTimestamp (byte data[]) const
long long int | getTimestamp () const
void | setTimestamp (byte data[])
void | setTimestamp (const DW1000Time &copy)
DW1000Time & | operator= (const DW1000Time &assign)
DW1000Time & | operator+= (const DW1000Time &add)
const DW1000Time | operator+ (const DW1000Time &add) const
DW1000Time & | operator-= (const DW1000Time &sub)
const DW1000Time | operator- (const DW1000Time &sub) const
DW1000Time & | operator*= (float factor)
const DW1000Time | operator* (float factor) const
DW1000Time & | operator/= (float factor)
const DW1000Time | operator/ (float factor) const
boolean | operator== (const DW1000Time &cmp) const
boolean | operator!= (const DW1000Time &cmp) const

## Static Public Attributes
static const float | SECONDS = 1e6
static const float | MILLISECONDS = 1e3
static const float | MICROSECONDS = 1
static const float | NANOSECONDS = 1e-3
static const long long unsigned int | TIME_OVERFLOW = 1099511627776

## Constructor & Destructor Documentation

DW1000Time::DW1000Time | ( |  | ) |

DW1000Time::DW1000Time | ( | long long int | time | ) |

DW1000Time::DW1000Time | ( | float | timeUs | ) |

DW1000Time::DW1000Time | ( | byte | data[] | ) |

DW1000Time::DW1000Time | ( | long | value,
|  | float | factorUs
| ) |  |

DW1000Time::DW1000Time | ( | const DW1000Time & | copy | ) |

DW1000Time::~DW1000Time | ( |  | ) |

## Member Function Documentation

void DW1000Time::getAsBytes | ( | byte | data[] | ) | const

float DW1000Time::getAsFloat | ( |  | ) | const

float DW1000Time::getAsMeters | ( |  | ) | const

void DW1000Time::getTimestamp | ( | byte | data[] | ) | const

long long int DW1000Time::getTimestamp | ( |  | ) | const

boolean DW1000Time::operator!= | ( | const DW1000Time & | cmp | ) | const

const DW1000Time DW1000Time::operator* | ( | float | factor | ) | const

DW1000Time & DW1000Time::operator*= | ( | float | factor | ) |

const DW1000Time DW1000Time::operator+ | ( | const DW1000Time & | add | ) | const

DW1000Time & DW1000Time::operator+= | ( | const DW1000Time & | add | ) |

const DW1000Time DW1000Time::operator- | ( | const DW1000Time & | sub | ) | const

DW1000Time & DW1000Time::operator-= | ( | const DW1000Time & | sub | ) |

const DW1000Time DW1000Time::operator/ | ( | float | factor | ) | const

DW1000Time & DW1000Time::operator/= | ( | float | factor | ) |

DW1000Time & DW1000Time::operator= | ( | const DW1000Time & | assign | ) |

boolean DW1000Time::operator== | ( | const DW1000Time & | cmp | ) | const

void DW1000Time::setTime | ( | float | timeUs | ) |

void DW1000Time::setTime | ( | long | value,
|  | float | factorUs
| ) |  |

void DW1000Time::setTimestamp | ( | byte | data[] | ) |

void DW1000Time::setTimestamp | ( | const DW1000Time & | copy | ) |

## Field Documentation

const float DW1000Time::MICROSECONDS = 1
| static

const float DW1000Time::MILLISECONDS = 1e3
| static

const float DW1000Time::NANOSECONDS = 1e-3
| static

const float DW1000Time::SECONDS = 1e6
| static

const long long unsigned int DW1000Time::TIME_OVERFLOW = 1099511627776
| static

The documentation for this class was generated from the following files:

- /home/thomas/git/arduino-dw1000/src/DW1000Time.h
- /home/thomas/git/arduino-dw1000/src/DW1000Time.cpp